<?php


/* PRODUCT */

if( class_exists( 'CSF' ) ) {

  $prefix = 'ppx_plugin_options';

  CSF::createMetabox( $prefix, array(
    'title'     => esc_html__( 'Message Box Options', 'messagebox' ),
    'post_type' => 'product',
  ) );

  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Message', 'messagebox' ),
    'fields' => array(

      array(
        'id'    => 'ppx_title',
        'type'  => 'text',
        'title' => esc_html__( 'Title', 'messagebox' ),
      ),

      array(
        'id'    => 'ppx_message',
        'type'  => 'wp_editor',
        'title' => esc_html__( 'Message', 'messagebox' ),
      ),

    )
  ) );

}


