<?php
/*
Plugin Name: PPX WooCommerce Custom Message Box 
Plugin URI: https://themeforest.net/user/pixelperfect-themes
Description: WooCommerce Custom Message Box is a plugin that allows you to add personalized messages to your WooCommerce store. Enhance customer experience and communicate important information with this easy-to-use extension.
Version: 1.0.0
Author: Pixel Perfect Themes
Author URI: https://themeforest.net/user/pixelperfect-themes
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: messagebox
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

require_once plugin_dir_path( __FILE__ ) . 'ppx-codestar-framework/codestar-framework.php';
require_once plugin_dir_path( __FILE__ ) . 'ppx-admin.php';
require_once plugin_dir_path( __FILE__ ) . 'ppx-fields.php';
require_once plugin_dir_path( __FILE__ ) . 'ppx-frontend.php';




function ppx_message_box_plugin_custom_styles() {
    wp_enqueue_style( 'message-box-custom-styles', plugin_dir_url( __FILE__ ) . 'inc/css/style.css' );
}
add_action( 'wp_enqueue_scripts', 'ppx_message_box_plugin_custom_styles' );

function ppx_message_box_plugin_custom_admin_css() {
    echo '<style>';
        echo '#toplevel_page_pixel-plugins  a, #toplevel_page_pixel-plugins  .wp-menu-name { background-color: #fabd47; color:#000; font-size:16px; font-weight:bold; }';
        echo '#toplevel_page_pixel-plugins .wp-menu-image:before { color: #000 !important; }';
    echo '</style>';
}
add_action('admin_head', 'ppx_message_box_plugin_custom_admin_css');